{
    "$graph": [
        {
            "label": "BlastFilter",
            "class": "CommandLineTool",
            "baseCommand": "MegaBlastFilter",
            "arguments": [
                "-len",
                "50"
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#BlastFilter.cwl/out_file_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#BlastFilter.cwl/unfiltered"
                }
            ],
            "stdout": "$(inputs.out_file_name)",
            "id": "#BlastFilter.cwl",
            "outputs": [
                {
                    "type": "File",
                    "id": "#BlastFilter.cwl/filtered",
                    "outputBinding": {
                        "glob": "$(inputs.out_file_name)"
                    }
                }
            ]
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/blast_db"
                },
                {
                    "type": "string",
                    "id": "#main/blast_db_dir"
                },
                {
                    "type": "File",
                    "id": "#main/fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/filter/filtered",
                    "id": "#main/filtered_hits"
                }
            ],
            "steps": [
                {
                    "run": "#blastn.cwl",
                    "in": [
                        {
                            "source": "#main/blast_db",
                            "id": "#main/blast/db"
                        },
                        {
                            "source": "#main/blast_db_dir",
                            "id": "#main/blast/db_dir"
                        },
                        {
                            "default": "unfiltered.hit",
                            "id": "#main/blast/out_file_name"
                        },
                        {
                            "source": "#main/fasta",
                            "id": "#main/blast/query"
                        }
                    ],
                    "out": [
                        "#main/blast/out_file"
                    ],
                    "id": "#main/blast"
                },
                {
                    "run": "#BlastFilter.cwl",
                    "in": [
                        {
                            "default": "filtered.hit",
                            "id": "#main/filter/out_file_name"
                        },
                        {
                            "source": "#main/blast/out_file",
                            "id": "#main/filter/unfiltered"
                        }
                    ],
                    "out": [
                        "#main/filter/filtered"
                    ],
                    "id": "#main/filter"
                }
            ],
            "id": "#main"
        },
        {
            "label": "blastn",
            "class": "CommandLineTool",
            "baseCommand": "blastn",
            "arguments": [
                "-outfmt",
                "6",
                "-perc_identity",
                "90.0"
            ],
            "requirements": [
                {
                    "envDef": [
                        {
                            "envValue": "$(inputs.db_dir)",
                            "envName": "BLASTDB"
                        }
                    ],
                    "class": "EnvVarRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-db"
                    },
                    "id": "#blastn.cwl/db"
                },
                {
                    "type": "string",
                    "id": "#blastn.cwl/db_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "-",
                    "inputBinding": {
                        "prefix": "-out"
                    },
                    "id": "#blastn.cwl/out_file_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-query"
                    },
                    "id": "#blastn.cwl/query"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.out_file_name)"
                    },
                    "id": "#blastn.cwl/out_file"
                }
            ],
            "id": "#blastn.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
